#!/usr/bin/python

""" 
	xrpm - version 2.2
	
    Copyright (C) 1997  George A. Farris
        george@gmsys.com - www.gmsys.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

"""

import os
import sys

from Tkinter import *
from ScrolledText import *

class Ghelp:
	
	def __init__(self):
		self.xrpmdir = os.environ['PYPATH']

#************************************************************************************
# about()
#		- opens a message window and displays the blerb about xrpm
#------------------------------------------------------------------------------------
	def about(self):

		title='\n  Xrpm  - Version 2.2  \n\n'
		copyright='  Copyright (C) 1997, 1998  George A. Farris  \n\n'
		email='  george@gmsys.com  \n\n'
		web='  http://www.gmsys.com  \n'
		
		ab = Toplevel(None)
		ab.mes = Frame(ab, bd=2, relief=SUNKEN)
		ab.mes.pack(side=TOP, padx=5, pady=7)
		
		ab.title('About XRPM')
		Message(ab.mes, relief=RAISED,
				font='-adobe-helvetica-bold-r-normal--14-*-*-*-*-*-iso8859-1',
				text=title+copyright+email+web,
				width='1000').pack(side=TOP)
				
		Button(ab, text='Close', 
				command=ab.destroy, activebackground='grey90').pack(side=TOP, padx=4, fill=X)

#************************************************************************************
# help()
#		- opens a message window and displays the xrpm manual
#------------------------------------------------------------------------------------
	def help(self):
		wid = Toplevel(None)
		wid.title('XRPM Help')

		label= Label(wid, text='XRPM Manual')
		label.pack(side=TOP)

		hframe  = Frame(wid, bd=5)
		hframe.pack(side=TOP, expand=YES, fill=BOTH)

		
		self.htext = ScrolledText(hframe, height=25, width=78)
		self.htext.pack(side=TOP, expand=YES, fill=BOTH)

		Button(wid, text='Close', 
				command=wid.destroy, width=10, activebackground='grey90').pack(side=BOTTOM, padx=4, fill=X)


		fd = open(self.xrpmdir+'/manual', 'r')

		for p in fd.readlines():    # add to text-box
			self.htext.insert('end', p)

		self.htext.config(state='disabled')

#************************************************************************************
# license()
#		- opens a message window and displays the xrpm license
#------------------------------------------------------------------------------------
	def license(self):
		wid = Toplevel(None)
		wid.title('XRPM License')

		label= Label(wid, text='XRPM License')
		label.pack(side=TOP)

		lframe  = Frame(wid, bd=5)
		lframe.pack(side=TOP, expand=YES, fill=BOTH)
		
		self.ltext = ScrolledText(lframe, height=25, width=78)
		self.ltext.pack(side=TOP, expand=YES, fill=BOTH)

		Button(wid, text='Close', 
				command=wid.destroy, width=10, activebackground='grey90').pack(side=BOTTOM, padx=4, expand=YES, fill=X)

		fd = open(self.xrpmdir+'/license', 'r')

		for p in fd.readlines():    # add to text-box
			self.ltext.insert('end', p)

		self.ltext.config(state='disabled')
